PDA

View Full Version : Fedora Newb - need yum help



aussie.ian
23rd July 2006, 12:22 PM
I'm new to Fedora having installed Fedora5 recently. Everything went fine until I tried to install ATI graphics driver. I found a blog recommending the livna repository.
It is recommended that for Fedora Core 5, Ati or Nvidia drivers should be pulled down from livna repositories.

To start using the rpm.livna.org repository in yum, simply install the livna-release-5 rpm package:

rpm -ivh http://rpm.livna.org/livna-release-5.rpm

I tried to add this and got.
[root@localhost ian]# rpm -ivh http://rpm.livna.org/livna-release-5.rpm
Retrieving http://rpm.livna.org/livna-release-5.rpm
error: skipping http://rpm.livna.org/livna-release-5.rpm - transfer failed - Unknown or unexpected error
Segmentation fault

I've never used yum before and would appreciate any advise on how to fix this. Or an alternate way to get the ATI driver installed.

aussie.ian
23rd July 2006, 01:18 PM
While I'm asking - how do I add a local file to install rpms I download? Or do I need to add each rpms site as a repo, if so how do I do it.

iamroot
23rd July 2006, 02:08 PM
http://stanton-finley.net/fedora_core_5_installation_notes.html#Yum

This should get you started pretty quickly. Post here if you still run into problems.

aussie.ian
23rd July 2006, 03:55 PM
Thanks iamroot, but unfortunately I'm getting the same error. I created the entry in /etc/yum.repos.conf and then-

[root@localhost ian]# rpm --import http://rpm.livna.org/RPM-LIVNA-GPG-KEY
error: http://rpm.livna.org/RPM-LIVNA-GPG-KEY: import read failed(-1).
Segmentation fault

iamroot
23rd July 2006, 04:06 PM
Hmm. Can you install yumex and see if it works from there. Highly unlikely, but it's still worth a shot.

aussie.ian
23rd July 2006, 11:23 PM
Hmm. Can you install yumex and see if it works from there. Highly unlikely, but it's still worth a shot.
How do I import the GPG-KEY with kyum? It found the packages and all dependencies but errors out saying "invalid GPG-key".

aussie.ian
24th July 2006, 08:11 AM
How do I import the GPG-KEY with kyum? It found the packages and all dependencies but errors out saying "invalid GPG-key".
Please is there anybody using Fedora/yum that knows what the issue might be and how to fix it.

Suredeath
24th July 2006, 09:55 AM
Alternate way to get the ATI driver installed: Download the latest driver from the ATI site:
https://support.ati.com/ics/support/default.asp?deptID=894&task=knowledge&folderID=300
Keep the ati-driver-installer-8.26.18-x86.run file (or whatever the file is called for your videocard) for later use, you have to redo this step w/ every kernel upgrade.
Change to root, make a backup copy of /etx/X11/xorg.conf & run
sh ati-driver-installer-8.26.18-x86.run and follow the instructions. Upon completion, using the utility aticonfig you can create a proper xorg.conf (if necessary), carefully read the help text provided.
Reboot to start the driver. Try glxgears to check proper video 3D operation.

Stanton-Finley has a section on this that will tell you the same basically, but (always a but!) the fglrxconfig util he mentions is no longer part of ATI's driver & software kit. That's where aticonfig comes in.

HTH
Suredeath

P.S. Check man gpg for info on working with gpg keys.

pjfg
24th July 2006, 10:25 AM
Please is there anybody using Fedora/yum that knows what the issue might be and how to fix it.

From the livna website:


For Core 4 and 5 users of Yum the livna.org key is automatically installed by the livna-release package.


Have you tried installing the livna rpm locally?


wget http://rpm.livna.org/livna-release-5.rpm
rpm -ivh livna-release-5.rpm

aussie.ian
24th July 2006, 12:29 PM
Have you tried installing the livna rpm locally?


wget http://rpm.livna.org/livna-release-5.rpm
rpm -ivh livna-release-5.rpm[/QUOTE]
wget timed out 9 times ended up downloading it with kget. Still no good.

[ian@localhost downloads]$ rpm -ihv livna-release-5.rpm
warning: livna-release-5.rpm: Header V3 DSA signature: NOKEY, key ID a109b1ec
error: can't create transaction lock on /var/lib/rpm/__db.000


----------------------------------------------------
I had already tried this option below is the result.
Code:
sh ati-driver-installer-8.26.18-x86.run
[root@localhost downloads]# aticonfig --initial
aticonfig: error while loading shared libraries: libfglrx_pp.so.1.0: cannot open shared object file: No such file or directory

[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Error] Kernel Module : No kernel module build environment - please consult readme.

From installing this software on other distros, I think you need kernel-source and make installed to compile from the installer. I've looked in program manager for these and nothing comes up.

pjfg
24th July 2006, 12:43 PM
wget timed out 9 times ended up downloading it with kget. Still no good.

[ian@localhost downloads]$ rpm -ihv livna-release-5.rpm
warning: livna-release-5.rpm: Header V3 DSA signature: NOKEY, key ID a109b1ec
error: can't create transaction lock on /var/lib/rpm/__db.000




Sounds like there is something wrong with your rpm database or you were trying to run another rpm transaction at the same time. Either close down the other app or run:

rpm --rebuilddb

If this still doesn't work remove all the __db files and re-run the above command.

markkuk
24th July 2006, 12:56 PM
[ian@localhost downloads]$ rpm -ihv livna-release-5.rpm
warning: livna-release-5.rpm: Header V3 DSA signature: NOKEY, key ID a109b1ec
error: can't create transaction lock on /var/lib/rpm/__db.000

You're trying to run the command as a normal user, but it must be run as root (http://www.fedorafaq.org/basics/#root).

pjfg
24th July 2006, 12:59 PM
You're trying to run the command as a normal user, but it must be run as root (http://www.fedorafaq.org/basics/#root).

Glad you spotted that. I blame my old eyes - that's my excuse and I'm sticking to it :)